#levels: debug, info, warn, error, fatal
log4j.rootLogger=info,stdout,infoLog,errorLog

#\u63a7\u5236\u53f0
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d %p [%c] - %m %n
log4j.appender.stdout.File=D:/log/watero/iamberry_wechat_out.log

#\u4e3b\u65e5\u5fd7\u6587\u4ef6
log4j.appender.infoLog=org.apache.log4j.DailyRollingFileAppender
log4j.appender.infoLog.File=D:/log/watero/iamberry_wechat_info.log
log4j.appender.infoLog.Append=true
log4j.appender.infoLog.Threshold=INFO
log4j.appender.infoLog.layout=org.apache.log4j.PatternLayout
log4j.appender.infoLog.layout.ConversionPattern=%d %p [%c] - %m %n 
log4j.appender.infoLog.encoding=UTF-8

#\u9519\u8bef\u65e5\u5fd7
log4j.appender.errorLog=org.apache.log4j.DailyRollingFileAppender
log4j.appender.errorLog.File=D:/log/watero/iamberry_wechat_error.log
log4j.appender.errorLog.Append=true
log4j.appender.errorLog.Threshold=ERROR
log4j.appender.errorLog.layout=org.apache.log4j.PatternLayout
log4j.appender.errorLog.layout.ConversionPattern=%d %p [%c] - %m %n 
log4j.appender.errorLog.encoding=UTF-8

#\u663e\u793aSQL\u8bed\u53e5\u90e8\u5206
log4j.logger.com.iamberry.wechat.service=DEBUG
log4j.logger.java.sql.ResultSet=INFO
log4j.logger.org.apache=INFO
log4j.logger.java.sql.Connection=INFO
log4j.logger.java.sql.Statement=INFO
log4j.logger.java.sql.PreparedStatement=INFO

#\u663e\u793aSQL\u8bed\u53e5\u90e8\u5206
log4j.logger.com.iamberry.rent.service=DEBUG
log4j.logger.java.sql.ResultSet=INFO
log4j.logger.org.apache=INFO
log4j.logger.java.sql.Connection=INFO
log4j.logger.java.sql.Statement=INFO
log4j.logger.java.sql.PreparedStatement=INFO